#!/usr/bin/perl -w
use strict;
use warnings;

my %hash = ();

open FILE,">$ARGV[1]/TFBS_ref_net_2.gff";

open(my $fh, '<:encoding(UTF-8)', $ARGV[0]) #se abre el archivo a analizar
  or die "Could not open file '$ARGV[0]' $!";

while (my $row = <$fh>) { #lectura del archivo linea por linea
	chomp $row;
	my @split_row = split ("\t",$row);
  if($split_row[3] =~ ";"){
    my @sp_coor = split (";",$split_row[3]);
    for(my $i=0;$i<scalar(@sp_coor);$i++){
      my @x = split (",", $sp_coor[$i]);
      if(!exists $hash{"$split_row[4]\t$split_row[0]\tTF_binding_site\t$x[0]\t$x[1]\t.\t.\t.\tID=;Name=;Dbxref=;library=;bound_moiety=unknow:$split_row[0]"}){
          $hash{"$split_row[4]\t$split_row[0]\tTF_binding_site\t$x[0]\t$x[1]\t.\t.\t.\tID=;Name=;Dbxref=;library=;bound_moiety=unknow:$split_row[0]"} = 1;
          print FILE "$split_row[4]\t$split_row[0]\tTF_binding_site\t$x[0]\t$x[1]\t.\t.\t.\tID=;Name=;Dbxref=;library=;bound_moiety=unknow:$split_row[0]\n";
      }

    }
  }else{
    my @x = split (",", $split_row[3]);
    if(!exists $hash{"$split_row[4]\t$split_row[0]\tTF_binding_site\t$x[0]\t$x[1]\t.\t.\t.\tID=;Name=;Dbxref=;library=;bound_moiety=unknow:$split_row[0]"}){
        $hash{"$split_row[4]\t$split_row[0]\tTF_binding_site\t$x[0]\t$x[1]\t.\t.\t.\tID=;Name=;Dbxref=;library=;bound_moiety=unknow:$split_row[0]"} = 1;
        print FILE "$split_row[4]\t$split_row[0]\tTF_binding_site\t$x[0]\t$x[1]\t.\t.\t.\tID=;Name=;Dbxref=;library=;bound_moiety=unknow:$split_row[0]\n";
    }
  }
}

close FILE;
